EDIT - feature request #6909
feature request # 6565 (Closed): [MASTER] Eclipse 4 Migration

Migrate taxon navigator
08/14/2017 09:47 AM - Patrick Plitzner

Status: Closed Start date:

Priority: New Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.0

Severity: critical

Description

Related issues:
Related to EDIT - bug #7041: D&D for classifications should not be possible a... Closed
Copied to EDIT - feature request #7071: Reenable restore functionality New

Associated revisions

Revision 2b7bbafc - 09/05/2017 09:42 AM - Patrick Plitzner

ref #6909 migrate/delete €3 name editor refs

Revision 27a1e008 - 09/05/2017 01:40 PM - Patrick Plitzner

ref #6909 migrate taxon navigator

Revision 95d1ab8c - 09/05/2017 04:41 PM - Patrick Plitzner

ref #6909 migrate taxon navigator context menu

Revision 259ce092 - 09/05/2017 06:20 PM - Patrick Plitzner
ref #6909 Add navigator context listening

Revision ¢3bb7840 - 09/05/2017 06:39 PM - Patrick Plitzner

ref #6909 Implement menu item/handler visibility

Revision e82f01c0 - 09/05/2017 06:44 PM - Patrick Plitzner
ref #6909 Hide disabled menu items

Revision eb759485 - 09/05/2017 06:47 PM - Patrick Plitzner
ref #6909 Add missing @Execute annotation

Revision 35c85fae - 09/06/2017 07:30 AM - Patrick Plitzner
ref #6909 Propagate TreeSelection

Revision a8459c2d - 09/06/2017 12:22 PM - Patrick Plitzner
ref #6909 Fix method parameter ambiguity

Revision 95ccdfd3 - 09/06/2017 12:34 PM - Patrick Plitzner
ref #6909 Migrate remote handler

e delete e3 handlers

Revision fabdcb1b - 09/06/2017 02:55 PM - Patrick Plitzner
ref #6909 Add double-click listener

Revision 9befe8ce - 09/06/2017 05:08 PM - Patrick Plitzner
ref #6909 Refactore double click behavior

Revision 0db2412a - 09/06/2017 05:39 PM - Patrick Plitzner
ref #6909, #6598 migrate default open handlers

Revision 713438dc - 09/06/2017 06:44 PM - Patrick Plitzner
ref #6909 Adapt to interace changes

Revision 369d3230 - 09/07/2017 11:38 AM - Patrick Plitzner

ref #6909 Implement canExecute() for remoting handler

Revision 5¢594099 - 09/07/2017 11:39 AM - Patrick Plitzner

ref #6909 Remove unused class variable

Revision c7ea9840 - 09/27/2017 01:36 PM - Patrick Plitzner

ref #6909 Remove e3 plugin extensions

Revision fb76c216 - 10/18/2017 09:02 AM - Patrick Plitzner
ref #6909 migrate dnd for navigator

Revision 944a0058 - 10/18/2017 10:08 AM - Patrick Plitzner

ref #6909 link with taxon editor selection

Revision 9b9d0652 - 10/18/2017 03:09 PM - Patrick Plitzner

ref #6909 select linked taxon editor in navigator

Revision 8136f2a8 - 10/18/2017 10:07 PM - Patrick Plitzner
ref #6909 Fix potential NPE

Revision 81bfa200 - 10/18/2017 11:14 PM - Patrick Plitzner
ref #6909 Simplify link with name editor

Revision 800c39e9 - 10/18/2017 11:24 PM - Patrick Plitzner

ref #6909 Re-order context menu

Revision d111c39a - 10/20/2017 08:16 AM - Patrick Plitzner
ref #6909 Add "Link with editor" icon to navigator toolbar

Revision 6ca6495d - 10/20/2017 08:33 AM - Patrick Plitzner
ref #6909 Add "Link with editor" item to context menu

e removed icon from navigator toolbar

Revision 6c7364f9 - 10/20/2017 08:47 AM - Patrick Plitzner
ref #6909 Change labe of "Link with editor" item

Revision 494dbb7e - 10/20/2017 09:54 AM - Patrick Plitzner

ref #6909 Evaluate preferences for open distribution editor

Revision 7a8de069 - 10/20/2017 09:54 AM - Patrick Plitzner

ref #6909 Enable "Open in referencing objects view"

Revision 4160115e - 10/30/2017 07:28 PM - Patrick Plitzner
ref #6909 Add toolbar to taxon navigator

e move "Link with taxon" from context menut to toolbar

Revision 04d9b6cb - 10/30/2017 07:36 PM - Patrick Plitzner
ref #6909 Add "Collapse" toolbar item to navigator

Revision 22b6f3ce - 10/30/2017 08:00 PM - Patrick Plitzner
ref #6909 Refactor part to part descriptor

Revision 1aa2508a - 11/03/2017 09:06 AM - Patrick Plitzner
ref #6909 Fix potential NPE

Revision 0d60fc16 - 11/08/2017 08:47 AM - Patrick Plitzner
ref #6909 Add canExecute to linkWithTaxonHandler

Revision 4beb3f81 - 11/08/2017 09:20 AM - Patrick Plitzner

ref #6909 Fix enabling of experimental handlers

Revision 862eb9dc - 11/08/2017 09:20 AM - Patrick Plitzner
ref #6909 Directly update tree when linking with taxon

Revision 68699322 - 11/08/2017 11:33 AM - Katja Luther

fix NPE for cloneClassification

Revision ¢960706¢ - 12/18/2017 11:54 AM - Katja Luther

fix NPE in cloneClassification

Revision b3fe1135 - 02/09/2018 02:25 PM - Patrick Plitzner

ref #6909 Fixed handler for creating new classifications

History

#1 - 09/05/2017 09:42 AM - Patrick Plitzner
- Status changed from New to In Progress

- Target version changed from Unassigned CDM tickets to Release 4.10

#2 - 09/24/2017 12:56 AM - Andreas Miiller

- Target version changed from Release 4.10 to Release 4.11

#3 - 10/18/2017 10:09 AM - Patrick Plitzner
- Status changed from In Progress to Resolved
- Assignee changed from Patrick Plitzner to Katja Luther

- % Done changed from 0 to 50

#4 - 10/18/2017 01:58 PM - Katja Luther

in RemotingCdmHandlerE4.postOperation there is a NPE because onComplete of the operation returns null

Caused by: java.lang.NullPointerException
at eu.etaxonomy.taxeditor.operation.ed.RemotingCdmHandlerE4.postOperation (RemotingCdmHandlerE4. java:64)
at eu.etaxonomy.taxeditor.model.AbstractUtility.lambda$4 (AbstractUtility. java:241)
at org.eclipse.ui.internal.UILockListener.doPendingWork (UILockListener.java:162)
at org.eclipse.ui.internal.UISynchronizer$3.run (UISynchronizer. java:154)
at org.eclipse.swt.widgets.RunnableLock.run (RunnableLock. java:35)
at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer. java:182)
24 more

at eu.etaxonomy.taxeditor.model.MessagingUtils$l.run (MessagingUtils. java:286)

at org.eclipse.swt.widgets.RunnableLock.run (RunnableLock. java:35)

at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer. java:182)

at org.eclipse.swt.widgets.Display.runAsyncMessages (Display.java:4211)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3827)

at org.eclipse.ed.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java:1121)
at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine. java:1022)
at org.eclipse.ed.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)

at org.eclipse.ui.internal.Workbench$5.run (Workbench.java:693)
at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

at eu.etaxonomy.taxeditor.Application.start (Application. java:24)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196)

at org.eclipse.core.runtime.internal.adaptor.EclipseApplLauncher.runApplication(EclipseAppLauncher. java:134

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher.java:104)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:243)
at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (Unknown Source)

at java.lang.reflect.Method.invoke (Unknown Source)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

at org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)

at org.eclipse.equinox.launcher.Main.run (Main.java:1519)

at org.eclipse.equinox.launcher.Main.main (Main.java:1492)

#5 - 10/18/2017 01:59 PM - Katja Luther
- Status changed from Resolved to Feedback

- Assignee changed from Katja Luther to Patrick Plitzner

#6 - 10/18/2017 02:32 PM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Katja Luther

Katja Luther wrote:
in RemotingCdmHandlerE4.postOperation there is a NPE because onComplete of the operation returns null

Caused by: java.lang.NullPointerException
at eu.etaxonomy.taxeditor.operation.e4.RemotingCdmHandlerE4.postOperation (RemotingCdmHandlerE4. java:64)
at eu.etaxonomy.taxeditor.model.AbstractUtility.lambda$4 (AbstractUtility.java:241)
at org.eclipse.ui.internal.UILockListener.doPendingWork (UILockListener.java:162)
at org.eclipse.ui.internal.UISynchronizer$3.run(UISynchronizer.java:154)
at org.eclipse.swt.widgets.RunnableLock.run (RunnableLock. java:35)
at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer.java:182)
24 more

at eu.etaxonomy.taxeditor.model.MessagingUtils$l.run (MessagingUtils. java:286)

at org.eclipse.swt.widgets.RunnableLock.run (RunnableLock. java:35)

at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer. java:182)

at org.eclipse.swt.widgets.Display.runAsyncMessages (Display.java:4211)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3827)

at org.eclipse.ed.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java:1121)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine. java:1022)

at org.eclipse.ed4.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)

at org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

at eu.etaxonomy.taxeditor.Application.start (Application.java:24)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle.java:196)

at org.eclipse.core.runtime.internal.adaptor.EclipseApplauncher.runApplication (EclipseAppLauncher. java:l
34)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher.java:104)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:243)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (Unknown Source)

at java.lang.reflect.Method.invoke (Unknown Source)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

at org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)

at org.eclipse.equinox.launcher.Main.run (Main.java:1519)

at org.eclipse.equinox.launcher.Main.main (Main.java:1492)

| cannot reproduce that behavior. What did you do?
#7 - 10/18/2017 02:38 PM - Katja Luther

select "Set secundum for subtree" with right click on taxon node

#8 - 10/18/2017 02:38 PM - Katja Luther

- Assignee changed from Katja Luther to Patrick Plitzner

#9 - 10/18/2017 02:50 PM - Patrick Plitzner
- Assignee changed from Patrick Plitzner to Katja Luther
Katja Luther wrote:
select "Set secundum for subtree" with right click on taxon node
This is the exception | get. And it happens because the updateResult is returned before the operation is started. | think the error is in
SetSecundumForSubtreeOperation.doUpdateExecute(). Could that be?
Caused by: java.lang.NullPointerException
at eu.etaxonomy.taxeditor.operation.RemotingCdmUpdateOperation.doExecute (RemotingCdmUpdateOperation. java:5

8)
at eu.etaxonomy.taxeditor.operation.RemotingCdmOperation.execute (RemotingCdmOperation. java:50)

#10 - 10/19/2017 10:43 PM - Andreas Miiller
- File picture532-1.png added

- File picture532-2.png added

- Severity changed from normal to critical

The complete symbol bar is missing (see attachement).

Therefore it is not possible anymore to switch off "Link with Editor". Also it is not possible anymore to Collapse and to Customize view. The first is very
important, the second medium, the last minor (currently not in use).

#11 - 10/19/2017 10:49 PM - Andreas Miiller

1. The "Open in Referencing objects view" is missing in context menu.

2."Open in Distribution Editor" is shown even if preference "Enable Distribution Editor" is not switched on, but shouldn't.

#12 - 10/20/2017 08:35 AM - Patrick Plitzner

| added the "link" option to the context menu. That was the fastest way to do it. | tried adding it to the toolbar programatically but that caused problems
with the workbench.xmi. Later we will define the toolbars in the application model.

#13 - 10/20/2017 09:55 AM - Patrick Plitzner

The "Open in" options should now be correct. Now it also shows up in the referencing objects view but that should be a minor problem now

#14 - 10/20/2017 12:29 PM - Katja Luther

- Assignee changed from Katja Luther to Patrick Plitzner

the button for the sync taxon -> navigator should show if it is enabled or not. But it works.

the open in options work now

#15 - 10/31/2017 09:42 AM - Patrick Plitzner
- Status changed from Feedback to Resolved
- Assignee changed from Patrick Plitzner to Katja Luther

- % Done changed from 50 to 70

All issues should be fixed now
#16 - 11/01/2017 01:07 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Miiller

It seems to be fixed completely, @AM maybe you want to have a final look.

#17 - 11/01/2017 01:31 PM - Katja Luther
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Patrick Plitzner

It seems that there is a problem with the method LocalSelectionTransfer.getTransfer().getSelection(); which is used for getting the selected
taxonNode for drag&drop. This seems to return always the first taxonnode in the navigator.

#18 - 11/02/2017 11:05 AM - Katja Luther

Katja Luther wrote:

It seems that there is a problem with the method LocalSelectionTransfer.getTransfer().getSelection(); which is used for getting the selected
taxonNode for drag&drop. This seems to return always the first taxonnode in the navigator.

this is handled in #7041.

#19 - 11/02/2017 11:05 AM - Katja Luther
- Related to bug #7041: D&D for classifications should not be possible and corrupts data added

#20 - 11/06/2017 05:01 PM - Patrick Plitzner
- Status changed from Feedback to Closed
- % Done changed from 70 to 100

Everything should be fixed or moved in to issues

#21 - 11/07/2017 11:17 AM - Andreas Miiller
- Status changed from Closed to Resolved

- Assignee changed from Patrick Plitzner to Andreas Mliller

#22 - 11/07/2017 04:01 PM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Patrick Plitzner

The "Link" button still does not work always. If | switch it on | first have to reset the focus to the name editor. In €3 it automatically recognized which
name editor had the focus before.

#23 - 11/07/2017 04:06 PM - Andreas Miiller

The "Customize View" does not exist anymore. But as filtering and showing synonyms did not seem to work in 4.10 neither we may live with this and
wait until someone requires theses features.

#24 - 11/07/2017 04:23 PM - Andreas Miiller

There is an issue with "move factual data" but this is not migration related: #7068.
Another issue is related to delete and is handled in #7069.

#25 - 11/07/2017 05:18 PM - Andreas Miiller

The experimental featues "Create taxon hierarchy" and "Clone classification" are missing in e4 context menu for classifications. They were still
available in 4.10.

#26 - 11/07/2017 07:02 PM - Andreas Miiller

All other functionality seems to work. So the open issues are #6909#note-22 and #69094#note-25

#27 - 11/08/2017 01:25 AM - Andreas Miuiller

One more open issue: if restore is selected in preferences this does not work anymore. The navigator is always opened in collapsed state. This still
worked in 4.10 (also restoring name editors does not work anymore but this will be mentioned in the name editor migration ticket)

03/20/2024 6/9
https://dev.e-taxonomy.eu/redmine/issues/6909#note-22
https://dev.e-taxonomy.eu/redmine/issues/6909#note-25

#28 - 11/08/2017 09:23 AM - Patrick Plitzner

- Status changed from Feedback to Resolved

- Assignee changed from Patrick Plitzner to Andreas Muiller

- % Done changed from 100 to 90

Fixed the two mentioned issues.

About restoring: Nothing is restored because we decided to start with a fresh workbench every startup. We can think about re-enabling this after full
migration IF we want to. Restoring 10+ name editors was also a performance killer because it has to load the name editor AND expand the tree to the
corresponding node.

#29 - 11/08/2017 10:56 AM - Andreas Muller

- Copied to feature request #7071: Reenable restore functionality added

#30 - 11/08/2017 10:59 AM - Andreas Miuller

- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Patrick Plitzner

The clone assistent throws an NPE. All the rest works.

login

admin

editor version : 4.

server

11.0.201711080902

test.e-taxonomy.eu (edit-test) / rem_conf_am

schema version : 4.
os : Windows Server 2012 R2 6.3 amdo64

java

1.8

.0_121

7.0.0.201710040000
ed.core.internal.di.MethodRequestor.execute (MethodRequestor. java:65)
ed.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java:282)
e4.core.internal.di.InjectorImpl.invoke (InjectorImpl. java:264)
e4.core.contexts.ContextInjectionFactory.invoke (ContextInjectionFactory. java:132)
ed.core.commands.internal.HandlerServiceHandler.execute (HandlerServiceHandler. java:152)
core.commands.Command.executeWithChecks (Command. java:494)
core.commands.ParameterizedCommand.executeWithChecks (ParameterizedCommand. java:488)
ed.core.commands.internal.HandlerServiceImpl.executeHandler (HandlerServiceImpl. java:210)
e4.uil.workbench.renderers.swt.HandledContributionItem.executeItem (HandledContributionItem. j

ed.ui.workbench.renderers.swt.AbstractContributionItem.handleWidgetSelection (AbstractContri

java:454)

ed.ui.workbench.renderers.swt.AbstractContributionItem$3.handleEvent (AbstractContributionIt

swt.widgets.EventTable.sendEvent (EventTable. java:84)

swt.widgets.Display.sendEvent (Display.java:4418)

swt.widgets.Widget.sendEvent (Widget.java:1079)
swt.widgets.Display.runDeferredEvents (Display.java:4236)
swt.widgets.Display.readAndDispatch (Display.java:3824)
e4.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java:1121)
core.databinding.observable.Realm.runWithDefault (Realm. java:336)
e4.uil.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine. java:1022)
ed.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)
uil.internal.Workbench$5.run (Workbench. java:693)
core.databinding.observable.Realm.runWithDefault (Realm. java:336)
ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)
ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

eu.etaxonomy.taxeditor.Application.start (Application. java:24)
sun.

.eclipse.
.eclipse.

eclipse.
.eclipse.
eclipse.
equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196)
core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLauncher. java:134

core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher. java:104)
core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)

.NativeMethodAccessorImpl.invokeO (Native Method)
.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

java.lang.reflect.Method.invoke (Method. java:498)
org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)
org.eclipse.equinox.launcher.Main.run (Main. java:1519)
org.eclipse.ed4.core.di.InjectionException: java.lang.NullPointerException

by:
at org.eclipse.ed.core.internal.di.ConstructorRequestor.execute (ConstructorRequestor. java:52)

at org.eclipse.ed.core.internal.di.InjectorImpl.internalMake (InjectorImpl.java:373)

at org.eclipse.e4.core.internal.di.InjectorImpl.make (InjectorImpl. java:294)

at org.eclipse.ed.core.contexts.ContextInjectionFactory.make (ContextInjectionFactory. java:162)

at eu.etaxonomy.taxeditor.navigation.navigator.e4.handler.CloneClassificationHandlerE4.execute (CloneClassi
ficationHandlerE4. java:50)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.e4d.core.internal.di.MethodRequestor.execute (MethodRequestor. java:55)

... 36 more
Caused by: java.lang.NullPointerException

at eu.etaxonomy.taxeditor.ui.section.classification.CloneClassificationWizard.<init> (CloneClassificationWi
zard. java:53)

at sun.reflect.NativeConstructorAccessorImpl.newInstance0 (Native Method)

at sun.reflect.NativeConstructorAccessorImpl.newInstance (NativeConstructorAccessorImpl. java:62)

at sun.reflect.DelegatingConstructorAccessorImpl.newInstance (DelegatingConstructorAccessorImpl.java:45)

at java.lang.reflect.Constructor.newInstance (Constructor. java:423)

at org.eclipse.ed.core.internal.di.ConstructorRequestor.execute (ConstructorRequestor. java:40)

45 more

#31 - 11/13/2017 10:50 AM - Andreas Miiller

It looks like the automated creation of a new classification if no classification exists yet does not work anymore. | tested on test/test1 (cdm_test1).
In general in this state it looks like it is not possible to create a new classification. Nothing works.

| havn't tested yet if this is a general issue also valid for DBs having a classification already.

#32 - 12/18/2017 11:30 AM - Katja Luther

Andreas Milller wrote:

The clone assistent throws an NPE. All the rest works.

this works now, but the service throws an exception:

org.eclipse.swt.SWIException: Failed to execute runnable (java.lang.NullPointerException)
Failed to execute runnable (java.lang.NullPointerException)

login : admin
editor version : 4.13.0.qualifier
server : localhost (localhost-dev)

schema version : 4.7.0.0.201710040000
os : Windows 7 6.1 amdé64
java : 1.8.0_121
at org.eclipse.swt.SWT.error (SWT. java:4533)
at org.eclipse.swt.SWT.error (SWT. java:4448)
at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer.java:185)
at org.eclipse.swt.widgets.Display.runAsyncMessages (Display.java:4211)
at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3827)
at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine.java:1121)
at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)
at org.eclipse.ed.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine.java:1022)
at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)
at org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)
at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)
at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)
at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)
at eu.etaxonomy.taxeditor.Application.start (Application. java:24)
at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle.java:196)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134

at org.eclipse.core.runtime.internal.adaptor.EclipseApplauncher.start (EclipseAppLauncher.java:104)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:388)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:243)
at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (Unknown Source)

at java.lang.reflect.Method.invoke (Unknown Source)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

at org.eclipse.equinox.launcher.Main.basicRun (Main.java:610)

at org.eclipse.equinox.launcher.Main.run(Main.java:1519)

at org.eclipse.equinox.launcher.Main.main (Main. java:1492)
#33 - 12/18/2017 11:55 AM - Katja Luther
the NPE is fixed now.

#34 - 02/07/2018 12:18 PM - Patrick Plitzner

ClassificationServiceImpl.
ClassificationServiceImpl.
ClassificationServiceImpl.
ClassificationServiceImpl.
ClassificationServiceImpl.

- Target version changed from Release 4.11 to Release 4.14

#35 - 02/09/2018 10:38 AM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Mliller

addChildTaxa (ClassificationServiceImpl. java:159
addChildTaxa (ClassificationServiceImpl. java:180
addChildTaxa (ClassificationServiceImpl. java:180
addChildTaxa (ClassificationServiceImpl. java:180
cloneClassification(ClassificationServiceImpl. ja

Andreas, could you test again it the creation of the first classification still throws an exception? | just tried and it worked.
If this works then please close the ticket because this is the last remaining issue.

#36 - 02/09/2018 02:24 PM - Patrick Plitzner

| just had the problem that hitting "New->Classification" did nothing, not even an exception. | fixed the handler for this. This should work now.

#37 - 02/15/2018 02:14 PM - Andreas Miiller

- Assignee changed from Andreas Miiller to Patrick Plitzner

Creating a new classification works now. Also no exception is thrown anymore.

But in a completely empty database (with no classification) still no default classification is created. But this was the case in earlier versions.

I'am not 100% sure if this is an issue that came with e4 or already with remoting.

#38 - 02/16/2018 12:52 PM - Patrick Plitzner

- Target version changed from Release 4.14 to Release 5.0

moving to current milestone

#39 - 03/09/2018 02:44 PM - Patrick Plitzner

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

Andreas Muller wrote:

Creating a new classification works now. Also no exception is thrown anymore.

But in a completely empty database (with no classification) still no default classification is created. But this was the case in earlier versions.

I am not 100% sure if this is an issue that came with e4 or already with remoting.

This problem is not related to this issue, created a new one (#7306) and closing this.
